Checks if method is final

- « ReflectionMethod::isDestructor

- ReflectionMethod::isPrivate »

- PHP Manual
- ReflectionMethod
- Checks if method is final

# ReflectionMethod::isFinal

(PHP 5, PHP 7, PHP 8)

ReflectionMethod::isFinal — Checks if method is final

### Description

public ReflectionMethod::isFinal(): bool

Checks if the method is final.

### Parameters

This function has no parameters.

### Return Values

`true` if the method is final, otherwise `false`

### See Also

- ReflectionMethod::isStatic()